Name:           osiv
Version:        2.0.0
Release:        0.9.beta%{?dist}
Summary:        Open Source Image Velocimetry

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://osiv.sourceforge.net/
Source0:        http://downloads.sourceforge.net/osiv/osiv-2.0.0-beta.tar.gz
Patch0:         osiv_configure_unknown_arg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fftw-devel, libtiff-devel, libpng-devel, fftw-devel

%package devel
Summary:        Development files for osiv
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-static = %{version}-%{release}

%package static
Summary:        Static libs for osiv
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description
OSIV is a program written to perform cross-correlation analysis of
particle image velocimetry (PIV) images.  The program was designed to
be both very modular and quite efficient.  It incorporates most of the
tried-and-true algorithms and some of the more recent additions to the
PIV toolkit.  Importantly, OSIV is released open source so that users
may contribute back to the project.

%description devel
This package contains the osiv header files.

%description static
This package contains the osiv static libs.


%prep
%setup -q -n osiv-2.0.0-beta
%patch0 -p0

%build
%configure
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
# export 
make INCDIR=${RPM_BUILD_ROOT}/%{_includedir} LIBDIR=${RPM_BUILD_ROOT}/%{_libdir} \
    BINDIR=${RPM_BUILD_ROOT}/%{_bindir} MANDIR=${RPM_BUILD_ROOT}/%{_mandir} \
    DATADIR=${RPM_BUILD_ROOT}/%{_datadir} install
rm -f ${RPM_BUILD_ROOT}/%{_datadir}/*.dvi
rm -f ${RPM_BUILD_ROOT}/%{_datadir}/*.eps
rm -f ${RPM_BUILD_ROOT}/%{_datadir}/*.ps
#
# TODO: package the ./java files

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.9.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.8.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.7.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 2.0.0-0.6.beta
- Fix Patch0:/%%patch mismatch.

* Fri May 23 2008 Jon Stanley <jonstanley@gmail.com> - 2.0.0-0.5.beta
- Fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.0-0.4.beta
- Autorebuild for GCC 4.3

* Sun Aug 26 2007 Ed Hill <ed@eh3.com> - 2.0.0-0.3
- add missing BRs

* Sun Aug 26 2007 Ed Hill <ed@eh3.com> - 2.0.0-0.2
- upstream dropped auto-tools so work around the build quirks 

* Sun Aug 26 2007 Ed Hill <ed@eh3.com> - 2.0.0-0.1
- new upstream 2.0.0-beta

* Thu Aug 31 2006 Ed Hill <ed@eh3.com> - 0.1.1-5
- rebuild for imminent FC-6 release

* Thu Feb 16 2006 Ed Hill <ed@eh3.com> - 0.1.1-4
- fix fftw dependency

* Thu Feb 16 2006 Ed Hill <ed@eh3.com> - 0.1.1-3
- rebuild for new gcc

* Sat Nov 19 2005 Ed Hill <ed@eh3.com> - 0.1.1-2
- add AUTHORS

* Mon Nov 14 2005 Ed Hill <ed@eh3.com> - 0.1.1-1
- initial specfile created

